RK-A2 - Feature #3752

Add support for 'grade 13' and 'Clarification questions’. Extract sections and difficulty lines
automatically.
Category: Estimated time: 1.20 hour
Description

. If testMode=true parameter exists, then display grade 13. Use the attached file as raw input file for ncert/13/physics chapters 1, 2
and 3.

IIl. Currently, clues are extracted from 'Detailed Solutions' section. Going forward, precede these clues from the 'Clarification
questions' section.

[1l. If 'Detailed Solutions' section has K questions and the Reference in each of the questions is R1, R2, ..., Ri, ...Rk, then this
question/problem should belong to section max(R1, R2,...Rk). This should be the value for the section line.

IV: If 'Difficulty score'is 1, mark it Easy. If it is 2 or 3, mark it Normal and mark it Difficult if the difficulty score is higher.

Additional notes on the new format:

-'Detailed Solution' is the same as 'Solution'.

--Make "Text", "Explanation" and "Reference" bold, copy its contents without the delimiter under each 'detailed solution’ step.
--lgnore Uniqueness number, Concept

--Use 'Options' for Answer Choices

History

#1 - 10/23/2024 06:51 AM - Ram Kordale

- Subject changed from Add support for 'grade 13' and 'Clarification questions'. Extract sections line automatically. to Add support for ‘grade 13' and
'Clarification questions'. Extract sections and difficulty lines automatically.

- Description updated

#2 - 10/23/2024 03:54 PM - Ram Kordale

- Description updated

#3 - 10/25/2024 06:55 AM - Ram Kordale
- Assignee set to Shubham Boke

- Estimated time set to 1.20 h

#4 - 10/31/2024 01:01 PM - Shubham Boke
- Status changed from New to In Progress

- % Done changed from 0 to 100

#5 - 10/31/2024 01:01 PM - Shubham Boke

- Status changed from In Progress to Resolved

#6 - 10/31/2024 01:01 PM - Shubham Boke
- Status changed from Resolved to Review

- Assignee changed from Shubham Boke to Dewakar Chaubey

#7 - 02/06/2025 07:14 AM - Dewakar Chaubey
- Status changed from Review to Feedback

- Assignee changed from Dewakar Chaubey to Shubham Boke

03/31/2025 12




#8 - 02/06/2025 09:01 AM - Shubham Boke

- Assignee changed from Shubham Boke to Ram Kordale

#9 - 03/27/2025 05:50 AM - Ram Kordale
- Status changed from Feedback to Closed
